tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Enum PubSubErrorCondition

- java.lang.Object
- - java.lang.Enum<PubSubErrorCondition>
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubErrorCondition

- All Implemented Interfaces:
    Serializable, Comparable<PubSubErrorCondition>

      public enum PubSubErrorCondition
      extends Enum<PubSubErrorCondition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closed_node`
    `configuration_required`
    `conflict`
    `invalid_jid`
    `invalid_payload`
    `invalid_subid`
    `item_required`
    `jid_required`
    `node_required`
    `nodeid_required`
    `not_in_roster_group`
    `not_subscribed`
    `payload_required`
    `payload_too_big`
    `pending_subscription`
    `presence_subscription_required`
    `subid_required`
    `too_many_subscriptions`
    `unsupported`
    `unsupported_access_authorize`
    `unsupported_access_model`
    `unsupported_access_open`
    `unsupported_access_presence`
    `unsupported_access_roster`
    `unsupported_access_whitelist`
    `unsupported_auto_create`
    `unsupported_auto_subscribe`
    `unsupported_collections`
    `unsupported_config_node`
    `unsupported_create_and_configure`
    `unsupported_create_nodes`
    `unsupported_delete_items`
    `unsupported_delete_nodes`
    `unsupported_filtered_notifications`
    `unsupported_get_pending`
    `unsupported_instant_nodes`
    `unsupported_item_ids`
    `unsupported_last_published`
    `unsupported_leased_subscription`
    `unsupported_manage_subscriptions`
    `unsupported_member_affiliation`
    `unsupported_meta_data`
    `unsupported_modify_affiliations`
    `unsupported_multi_collection`
    `unsupported_multi_subscribe`
    `unsupported_outcast_affiliation`
    `unsupported_persistent_items`
    `unsupported_presence_notifications`
    `unsupported_presence_subscribe`
    `unsupported_publish`
    `unsupported_publish_only_affiliation`
    `unsupported_publish_options`
    `unsupported_publisher_affiliation`
    `unsupported_purge_nodes`
    `unsupported_retract_items`
    `unsupported_retrieve_affiliations`
    `unsupported_retrieve_default`
    `unsupported_retrieve_items`
    `unsupported_retrieve_subscriptions`
    `unsupported_subscribe`
    `unsupported_subscription_notifications`
    `unsupported_subscription_options`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PubSubErrorCondition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PubSubErrorCondition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### closed_node

          public static final PubSubErrorCondition closed_node

    - #### configuration_required

          public static final PubSubErrorCondition configuration_required

    - #### conflict

          public static final PubSubErrorCondition conflict

    - #### invalid_jid

          public static final PubSubErrorCondition invalid_jid

    - #### invalid_payload

          public static final PubSubErrorCondition invalid_payload

    - #### invalid_subid

          public static final PubSubErrorCondition invalid_subid

    - #### item_required

          public static final PubSubErrorCondition item_required

    - #### jid_required

          public static final PubSubErrorCondition jid_required

    - #### node_required

          public static final PubSubErrorCondition node_required

    - #### nodeid_required

          public static final PubSubErrorCondition nodeid_required

    - #### not_in_roster_group

          public static final PubSubErrorCondition not_in_roster_group

    - #### not_subscribed

          public static final PubSubErrorCondition not_subscribed

    - #### payload_required

          public static final PubSubErrorCondition payload_required

    - #### payload_too_big

          public static final PubSubErrorCondition payload_too_big

    - #### pending_subscription

          public static final PubSubErrorCondition pending_subscription

    - #### presence_subscription_required

          public static final PubSubErrorCondition presence_subscription_required

    - #### subid_required

          public static final PubSubErrorCondition subid_required

    - #### too_many_subscriptions

          public static final PubSubErrorCondition too_many_subscriptions

    - #### unsupported

          public static final PubSubErrorCondition unsupported

    - #### unsupported_access_authorize

          public static final PubSubErrorCondition unsupported_access_authorize

    - #### unsupported_access_model

          public static final PubSubErrorCondition unsupported_access_model

    - #### unsupported_access_open

          public static final PubSubErrorCondition unsupported_access_open

    - #### unsupported_access_presence

          public static final PubSubErrorCondition unsupported_access_presence

    - #### unsupported_access_roster

          public static final PubSubErrorCondition unsupported_access_roster

    - #### unsupported_access_whitelist

          public static final PubSubErrorCondition unsupported_access_whitelist

    - #### unsupported_auto_create

          public static final PubSubErrorCondition unsupported_auto_create

    - #### unsupported_auto_subscribe

          public static final PubSubErrorCondition unsupported_auto_subscribe

    - #### unsupported_collections

          public static final PubSubErrorCondition unsupported_collections

    - #### unsupported_config_node

          public static final PubSubErrorCondition unsupported_config_node

    - #### unsupported_create_and_configure

          public static final PubSubErrorCondition unsupported_create_and_configure

    - #### unsupported_create_nodes

          public static final PubSubErrorCondition unsupported_create_nodes

    - #### unsupported_delete_items

          public static final PubSubErrorCondition unsupported_delete_items

    - #### unsupported_delete_nodes

          public static final PubSubErrorCondition unsupported_delete_nodes

    - #### unsupported_filtered_notifications

          public static final PubSubErrorCondition unsupported_filtered_notifications

    - #### unsupported_get_pending

          public static final PubSubErrorCondition unsupported_get_pending

    - #### unsupported_instant_nodes

          public static final PubSubErrorCondition unsupported_instant_nodes

    - #### unsupported_item_ids

          public static final PubSubErrorCondition unsupported_item_ids

    - #### unsupported_last_published

          public static final PubSubErrorCondition unsupported_last_published

    - #### unsupported_leased_subscription

          public static final PubSubErrorCondition unsupported_leased_subscription

    - #### unsupported_manage_subscriptions

          public static final PubSubErrorCondition unsupported_manage_subscriptions

    - #### unsupported_member_affiliation

          public static final PubSubErrorCondition unsupported_member_affiliation

    - #### unsupported_meta_data

          public static final PubSubErrorCondition unsupported_meta_data

    - #### unsupported_modify_affiliations

          public static final PubSubErrorCondition unsupported_modify_affiliations

    - #### unsupported_multi_collection

          public static final PubSubErrorCondition unsupported_multi_collection

    - #### unsupported_multi_subscribe

          public static final PubSubErrorCondition unsupported_multi_subscribe

    - #### unsupported_outcast_affiliation

          public static final PubSubErrorCondition unsupported_outcast_affiliation

    - #### unsupported_persistent_items

          public static final PubSubErrorCondition unsupported_persistent_items

    - #### unsupported_presence_notifications

          public static final PubSubErrorCondition unsupported_presence_notifications

    - #### unsupported_presence_subscribe

          public static final PubSubErrorCondition unsupported_presence_subscribe

    - #### unsupported_publish

          public static final PubSubErrorCondition unsupported_publish

    - #### unsupported_publish_only_affiliation

          public static final PubSubErrorCondition unsupported_publish_only_affiliation

    - #### unsupported_publish_options

          public static final PubSubErrorCondition unsupported_publish_options

    - #### unsupported_publisher_affiliation

          public static final PubSubErrorCondition unsupported_publisher_affiliation

    - #### unsupported_purge_nodes

          public static final PubSubErrorCondition unsupported_purge_nodes

    - #### unsupported_retract_items

          public static final PubSubErrorCondition unsupported_retract_items

    - #### unsupported_retrieve_affiliations

          public static final PubSubErrorCondition unsupported_retrieve_affiliations

    - #### unsupported_retrieve_default

          public static final PubSubErrorCondition unsupported_retrieve_default

    - #### unsupported_retrieve_items

          public static final PubSubErrorCondition unsupported_retrieve_items

    - #### unsupported_retrieve_subscriptions

          public static final PubSubErrorCondition unsupported_retrieve_subscriptions

    - #### unsupported_subscribe

          public static final PubSubErrorCondition unsupported_subscribe

    - #### unsupported_subscription_notifications

          public static final PubSubErrorCondition unsupported_subscription_notifications

    - #### unsupported_subscription_options

          public static final PubSubErrorCondition unsupported_subscription_options

  - ### Method Detail

    - #### values

          public static PubSubErrorCondition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PubSubErrorCondition c : PubSubErrorCondition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PubSubErrorCondition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 Tigase. All rights reserved.